Subject: bug#12251: 24.2.50; crash in note_mouse_highlight

From: Sam Steingold <[email-masked]>
Date: Mon, 27 Aug 2012 15:05:57 -0400

> * Sam Steingold <[email-masked]> [2012-08-27 15:01:55 -0400]:
>
>> * martin rudalics <[email-masked]> [2012-08-25 15:40:15 +0200]:
>>
>>> tried, but got a crash in different place instead.
>>
>> Interesting.  Could you try the more invasive patch I attached?  I
>> have no idea what it could break, so please don't do any important
>> work with it.
>
> I rebuilt bzr tip this morning and now I am getting this:
>
> Debugger entered--Lisp error: (error "#<window 3> is not a live window")
>   signal(error ("#<window 3> is not a live window"))
>   error("%s is not a live window" #<window 3>)
>   window-normalize-window(#<window 3> t)
>   record-window-buffer(#<window 3>)
>   set-window-configuration(#<window-configuration>)
>   sds-window-configuration-restore()
>   run-hooks(gnus-suspend-gnus-hook)
>   apply(run-hooks gnus-suspend-gnus-hook)
>   gnus-run-hooks(gnus-suspend-gnus-hook)
>   gnus-group-suspend()
>   call-interactively(gnus-group-suspend nil nil)
>
> when exiting or suspending gnus and

... a similar error when sending e-mail replies after ispell-message .

my relevant settings are:

(add-hook 'message-send-hook 'ispell-message t)
(defvar sds-window-configuration)
(defun sds-window-configuration-save ()
  (setq sds-window-configuration (current-window-configuration)))
(defun sds-window-configuration-restore ()
  (set-window-configuration sds-window-configuration))
(add-hook 'gnus-after-exiting-gnus-hook 'sds-window-configuration-restore)
(add-hook 'gnus-suspend-gnus-hook 'sds-window-configuration-restore)
(add-hook 'gnus-before-startup-hook 'sds-window-configuration-save)

I assume that your patch is in the bzr tree now, I did not apply it.

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 12.04 (precise) X 11.0.11103000
http://www.childpsy.net/ http://pmw.org.il http://palestinefacts.org
http://dhimmi.com http://www.memritv.org http://think-israel.org
I don't want to be young again, I just don't want to get any older.